Skip to main content
PUT
/
api
/
v1
/
runtime
/
v1
/
memory
/
{memoryId}
Set Memory
curl --request PUT \
  --url https://api.runflow.ai/api/v1/runtime/v1/memory/{memoryId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "content": "<string>",
      "metadata": {},
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "metadata": {}
}
'
import requests

url = "https://api.runflow.ai/api/v1/runtime/v1/memory/{memoryId}"

payload = {
"messages": [
{
"content": "<string>",
"metadata": {},
"timestamp": "2023-11-07T05:31:56Z"
}
],
"metadata": {}
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{content: '<string>', metadata: {}, timestamp: '2023-11-07T05:31:56Z'}],
metadata: {}
})
};

fetch('https://api.runflow.ai/api/v1/runtime/v1/memory/{memoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

memoryId
string
required

Memory identifier (entityType:entityValue or sessionId)

Body

application/json

{ messages: Message[], metadata?: Record<string, any> }

messages
object[]
metadata
object

Response

Memory replaced. Body is empty on success.